import { BaseHitTestProvider } from "../../HitTest/BaseHitTestProvider";
import { HitTestInfo } from "../../HitTest/HitTestInfo";
import type { BaseRenderableSeries } from "../../BaseRenderableSeries";
/**
 * Hit-test provider for {@link PolarLineRenderableSeries}. See base class {@link BaseHitTestProvider} for further info
 */
export declare class PolarDataPointHitTestProvider extends BaseHitTestProvider<BaseRenderableSeries> {
    /** @inheritDoc */
    hitTest(x: number, y: number, hitTestRadius?: number): HitTestInfo;
    /** @inheritDoc */
    hitTestDataPoint(x: number, y: number, hitTestRadius?: number): HitTestInfo;
    hitTestXSlice(x: number, y: number): HitTestInfo;
    protected hitTestDataPointInternal(x: number, y: number, hitTestRadius: number): HitTestInfo;
}
